Subject: [alpine-devel] New aport gzip

From: Leonardo Arena <[email-masked]>
Date: Wed, 21 Jan 2009 13:45:19 +0100

Please review attached patch
leo
From d712ff3382f8637a5d71ea4743d1a7d709937958 Mon Sep 17 00:00:00 2001
From: Leonardo Arena <[email-masked]>
Date: Wed, 21 Jan 2009 12:43:24 +0000
Subject: [PATCH] extra/gzip: new aport

---
 extra/gzip/APKBUILD |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)
 create mode 100644 extra/gzip/APKBUILD

diff --git a/extra/gzip/APKBUILD b/extra/gzip/APKBUILD
new file mode 100644
index 0000000..acc55eb
--- /dev/null
+++ b/extra/gzip/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Leonardo Arena <[email-masked]>
+pkgname=gzip
+pkgver=1.3.12
+pkgrel=0
+pkgdesc="A popular data compression program"
+subpackages="$pkgname-doc"
+arch=""
+url="http://www.gnu.org/software/gzip/"
+license="GPL2"
+depends="uclibc"
+makedepends=""
+install=
+source="http://ftp.gnu.org/gnu/gzip/gzip-1.3.12.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR=$pkgdir install
+}
+md5sums="b5bac2d21840ae077e0217bc5e4845b1  gzip-1.3.12.tar.gz"
-- 
1.6.1

---

From: Natanael Copa <[email-masked]>
Date: Wed, 21 Jan 2009 14:49:17 +0100

> Please review attached patch

committed.

thanks!

just of curiosity, why do you need it? why is not busybox gzip good
enough?

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Wed, 21 Jan 2009 15:14:33 +0100

yes, i realized it later, but i saw it in 1.7 so i thought to submit the
patch anyway... :)